<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["comprar"] == true) {
$plano = $_GET["cvip_plano"];
$dias = $_GET["cvip_dias"];
$ver_vip = mssql_fetch_row(mssql_query("select ".colum_vip." from memb_info where memb___id='".$_SESSION["login"]."'"));
$moeda = mssql_fetch_row(mssql_query("select ".colum_moeda." from ".table_moeda." where ".colum_login."='".$_SESSION["login"]."'"));
if($plano == '' || $dias == '') {
	echo $bbcode->bbcode('<div class="box_conteudo">Selecione um plano</div>');
}
elseif($ver_vip[0] > 0) {
	echo $bbcode->bbcode('<div class="box_conteudo">Sua conta já é vip, espere acabar</div>');
}
else{
	if($plano == 1) {
	if($dias == 30) {$preco = $VIP1[0];}
	if($dias == 60) {$preco = $VIP1[1];}
	if($dias == 90) {$preco = $VIP1[2];}
		if($moeda[0] < $preco) {
			echo $bbcode->bbcode('<div class="box_conteudo">Você não tem '.moeda_nome.' suficiente para adquirir este plano</div>');
		}
		else{
		mssql_query("update memb_info set ".colum_vip."='$plano',+".colum_creditos."='$dias' where memb___id='".$_SESSION["login"]."'");
		mssql_query("update ".table_moeda." set ".colum_moeda."=".colum_moeda."-'$preco' where ".colum_login."='".$_SESSION["login"]."'");
		echo $bbcode->bbcode('<div class="box_conteudo">Sua conta agora é '.vip1_nome.'</div>');
	}
	}
	if($plano == 2) {
	if($dias == 30) {$preco = $VIP2[0];}
	if($dias == 60) {$preco = $VIP2[1];}
	if($dias == 90) {$preco = $VIP2[2];}
		if($moeda[0] < $preco) {
			echo $bbcode->bbcode('<div class="box_conteudo">Você não tem '.moeda_nome.' suficiente para adquirir este plano</div>');
		}
		else{
		mssql_query("update memb_info set ".colum_vip."='$plano',+".colum_creditos."='$dias' where memb___id='".$_SESSION["login"]."'");
		mssql_query("update ".table_moeda." set ".colum_moeda."=".colum_moeda."-'$preco' where ".colum_login."='".$_SESSION["login"]."'");
		echo $bbcode->bbcode('<div class="box_conteudo">Sua conta agora é '.vip2_nome.'</div>');
	}
	}
}
}
if($_GET["add"] == true) {
$login = $_GET["addvip_conta"];
$tipo = $_GET["addvip_tipo"];
$dias = $_GET["addvip_dias"];
$acc = mssql_num_rows(mssql_query("select memb___id from memb_info where memb___id='".$login."'"));
if(empty($login) || $tipo == "" || empty($dias)) {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($acc < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Login inválido</div>'));
}
else{
	$ver = mssql_fetch_row(mssql_query("select ".colum_vip." from memb_info where memb___id='".$login."'"));
	if($ver[0] > 0) {
		exit($bbcode->bbcode('<div class="box_conteudo">Essa conta já é vip, aguarde o plano acabar</div>'));
	}
	else{
		mssql_query("update memb_info set ".colum_vip."='$tipo', ".colum_creditos."=+'$dias' where memb___id='".$login."'");
		exit($bbcode->bbcode('<div class="box_conteudo">Vip adicinado com sucesso</div>'));
	}
}
}
if($_GET["remover"] == true) {
$conta = $_GET["rvip_conta"];
$dados = mssql_fetch_row(mssqL_query("select ".colum_vip.",+".colum_creditos." from memb_info where memb___id='".$conta."'"));
switch($dados[0]) {
	case 0: $plano = "Free"; break;
	case 1: $plano = "".vip1_nome.""; break;
	case 2: $plano = "".vip2_nome.""; break;
}
echo '<div class="box_conteudo"><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="7%">Plano:</td>
    <td width="93%"><strong>'.$plano.'</strong></td>
  </tr>
  <tr>
    <td>Dias:</td>
    <td><strong>'.$dados[1].'</strong></td>
  </tr>
  <tr>
    <td>Plano:</td>
    <td><label>
      <select name="rvip_plano" id="rvip_plano">
      <option value="">Selecione</option>
      <option value="0">Free</option>
      <option value="1">'.vip1_nome.'</option>
      <option value="2">'.vip2_nome.'</option>
      </select>
    </label></td>
  </tr>
  <tr>
    <td>Dias:</td>
    <td><label>
      <input type="text" name="rvip_dias" onkeypress="return SomenteNumero(event)" id="rvip_dias" />
    </label></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><label>
      <input type="submit" name="remover" id="remover" onclick="loading(\'?go=vip&remover2=true&rvip_conta='.$conta.'\'+\'&rvip_plano=\'+document.getElementById(\'rvip_plano\').value+\'&rvip_dias=\'+document.getElementById(\'rvip_dias\').value, \'rem\');" value="Remover vip" />
    </label></td>
  </tr>
</table>
</div>';
}
if($_GET["remover2"] == true) {
$conta = $_GET["rvip_conta"];
$plano = $_GET["rvip_plano"];
$dias = $_GET["rvip_dias"];
$ver = mssql_fetch_row(mssql_query("select ".colum_vip.",".colum_creditos." from memb_info where memb___id='".$conta."'"));
if($plano == "" || empty($dias)) {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($dias > $ver[1]) {
	exit($bbcode->bbcode('<div class="box_conteudo">Você não pode tirar mais do que '.$ver[1].'</div>'));
}
else{
	mssql_query("update memb_info set ".colum_vip."='$plano',".colum_creditos."=".colum_creditos."-'$dias' where memb___id='".$conta."'");
	exit($bbcode->bbcode('<div class="box_conteudo">Operação efetuada com sucesso</div>'));
}	
}

?>